package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.ProductProducttype;

/**
 * 产品类型表 服务层
 *
 * @author ruoyi
 */
public interface IProductProducttypeService
{
    /**
     * 查询产品类型集合
     *
     * @return 产品类型集合
     */
    public List<ProductProducttype> selectProductProducttypeList();

    /**
     * 分页查询产品类型集合
     *
     * @return 分页数据
     */
    public TableDataInfo selectProductProducttypeListByPage(Integer pageNum, Integer pageSize);

    /**
     * 根据ID查询产品类型信息
     *
     * @param id 主键ID
     * @return 产品类型信息
     */
    public ProductProducttype selectProductProducttypeById(Long id);

    /**
     * 新增产品类型信息
     *
     * @param productProducttype 产品类型信息
     * @return 结果
     */
    public int insertProductProducttype(ProductProducttype productProducttype);

    /**
     * 修改产品类型信息
     *
     * @param productProducttype 产品类型信息
     * @return 结果
     */
    public int updateProductProducttype(ProductProducttype productProducttype);

    /**
     * 删除产品类型信息
     *
     * @param id 主键ID
     * @return 结果
     */
    public int deleteProductProducttypeById(Long id);

    /**
     * 批量删除产品类型信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    public int deleteProductProducttypeByIds(Long[] ids);
}